## openjdk-12 12.0.1+12

=== debian/changelog ===
openjdk-12 (12.0.1+12-1) unstable; urgency=medium

  * OpenJDK 12.0.1 release.

  [ Matthias Klose ]
  * Build the alternate zero VM using the just built hotspot VM.
  * Remove the icedtea-sound/pulseaudio build support.
  * Remove some xulrunner build bits.
  * Annotate the bootstrap dependency with :native.
  * Support using the Java ATK wrapper (Samuel Thibault). Addresses: #900912.
    - patches/jaw-classpath.diff: Fix finding the Java ATK wrapper.
    - patches/jaw-optional.diff: Make failing to load the Java ATK wrapper
      non-fatal.

  [ Tiago Stürmer Daitx ]
  * Install swing.properties into <java-home>/conf instead of <java-home>/lib.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Apr 2019 04:08:58 +0200

openjdk-12 (12.0.0-3) unstable; urgency=medium

  [ Matthias Klose ]
  * Configure with vendor flags.
  * Update package provides for 12.
  * Backport fix for 8221083, wrong oop compare in C1-generated code (PPC).
  * Work around the missing gcc-for-host b-d for cross builds.

  [ Tiago Stürmer Daitx ]
  * Revert to GTK2 as default since GTK3 still has padding and
    component issues, apply upstream changeset to fix a few GTK3
    components: LP: #1770278.
    - debian/patches/jdk-improve-gtk3-compatibility.patch: upstream
      fix for JDK-8218469, JDK-8218470, JDK-8218472, and JDK-8203627.
    - debian/patches/keep-gtk2-as-default.patch: revert upstream so
      GTK2 is loaded before GTK3 when available.
    - debian/rules, debian/control: Set jre to depend on libgtk2.0-0
      and alternatively to libgtk-3-0.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Mar 2019 09:11:35 +0100

openjdk-12 (12.0.0-2) unstable; urgency=medium

  * OpenJDK 12 release.
  * Fix the wrong assumption in the autopkg tests that the OpenJDK is
    the same as the default JDK.
  * Don't prune the build trees before running the tests.
  * Set a bogus build version. The build fails without one :-/

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Mar 2019 21:49:44 +0100

openjdk-12 (12~33-1) unstable; urgency=medium

  * OpenJDK 12 build 33 (release candidate 2).
  * Add support for DCEVM on am64 and i386. Addresses: #921419.
  * openjdk-12-dbg: Conflict with openjdk-11-dbg. Some object files are
    identical across OpenJDK versions. Closes: #919790.
  * Check for nodoc instead of nodocs in DEB_BUILD_OPTIONS. Closes: #922761.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 26 Feb 2019 11:24:37 +0100

openjdk-12 (12~32-1) unstable; urgency=medium

  * OpenJDK 12 build 32.
  * Attribute test dependencies with <!nocheck>.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Feb 2019 17:15:22 +0100

openjdk-12 (12~31-1) unstable; urgency=medium

  * OpenJDK 12 build 31.
  * Configure with vendor flags.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Feb 2019 11:50:45 +0100

openjdk-12 (12~30-1) unstable; urgency=medium

  * OpenJDK 12 build 30.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 01 Feb 2019 23:30:59 +0100

openjdk-12 (12~29-2) unstable; urgency=medium

  * Fix merging the packaging changes.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 25 Jan 2019 08:38:26 +0100

openjdk-12 (12~29-1) unstable; urgency=medium

  * OpenJDK 12 build 29.
  * Merge packaging changes from 11.0.2.
  * Link zero on alpha with --no-relax (Michael Cree). Closes: #920161).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Jan 2019 09:09:16 +0100

openjdk-12 (12~28-1) unstable; urgency=medium

  * OpenJDK 12 build 28.
  * jhsdb isn't built on alpha.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Jan 2019 13:28:33 +0100

openjdk-12 (12~27-1) unstable; urgency=medium

  * OpenJDK 12 build 27.
  * Don't run the tests on alpha, causing build failure.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Jan 2019 12:55:21 +0100

openjdk-12 (12~25-1) unstable; urgency=medium

  * OpenJDK 12 build 25.
  * Fix Zero on sparc64 (Adrian Glaubitz). Closes: #917008.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 22 Dec 2018 01:12:39 +0100

openjdk-12 (12~24-2) unstable; urgency=medium

  * Pull patches for 8215353 and 8215374, fixing build on i386.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 14 Dec 2018 20:44:28 +0100

openjdk-12 (12~24-1) unstable; urgency=medium

  * OpenJDK 12 build 24.
  * Re-enable the bootcycle builds for hotspot targets.
  * Enable bootcycle builds for zero targets.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 14 Dec 2018 19:18:49 +0100

openjdk-12 (12~23-3) unstable; urgency=medium

  * Disable the bootcycle build.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 07 Dec 2018 01:23:44 +0100

openjdk-12 (12~23-1) unstable; urgency=medium

  * OpenJDK 12 build 23.
  * Update VCS attributes in the control file. Addresses: #909736.
  * Re-enable the zero build on arm64 and ppc64el.
  * Configure with --with-jni-libpath.
  * Enable bootcycle builds for hotspot.
  * Don't build the test-image target.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 06 Dec 2018 16:37:32 +0100

openjdk-12 (12~22-0ubuntu2) disco; urgency=medium

  * OpenJDK 12 build 22.
  * Disable zero build on arm64 and ppc64el, ftbfs.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 02 Dec 2018 21:34:27 +0100

openjdk-11 (11.0.1+13-3) unstable; urgency=medium

  * Tighten dependency on debhelper on recent releases. Closes: #911694.
  * Reproducible properties file header when SOURCE_DATE_EPOCH is specified.
    Closes: #914278.
  * Add SOURCE_DATE_EPOCH support to the javadoc tool. Closes: #783938.
  * Disable AArch64 intrinsics for sin, cos and log. Closes: #910188.
    LP: #1796982.
  * Add support for DEB_BUILD_OPTIONS=terse. Closes: #912211.

 -- Matthias Klose <doko@debian.org>  Fri, 30 Nov 2018 11:40:28 +0100

openjdk-11 (11.0.1+13-2) unstable; urgency=high

  * OpenJDK 11.0.1 release.

  [ Tiago Stürmer Daitx ]
  * debian/rules:
    - limit the tests that we run for the hotspot, langtools,
      and jdk testsuites to improve build times and also to
      prevent running unstable or failing tests.
    - fix 'if' clause for definition of the TIME command.

