## openjdk-12 12.0.2+9

=== debian/changelog ===
openjdk-12 (12.0.2+9-1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 19 Jul 2019 11:43:49 -0700

openjdk-12 (12.0.2+9-1) unstable; urgency=high

  * OpenJDK 12.0.2+9 release.
    - S8212328, CVE-2019-2762: Exceptional throw cases.
    - S8213431, CVE-2019-2766: Improve file protocol handling.
    - S8213432, CVE-2019-2769: Better copies of CopiesList.
    - S8216381, CVE-2019-2786: More limited privilege usage.
    - S8217563: Improve realm maintenance.
    - S8218863: Better endpoint checks.
    - S8218873: Improve JSSE endpoint checking.
    - S8218876, CVE-2019-7317: Improve PNG support options.
    - S8219775: Certificate validation improvements.
    - S8220517: Enhanced GIF support.
    - S8221345, CVE-2019-2818: Better Poly1305 support.
    - S8221518, CVE-2019-2816: Normalize normalization.
    - S8222678, CVE-2019-2821: Improve TLS negotiation.
  * Bump standards version.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Jul 2019 16:23:55 +0200

openjdk-12 (12.0.1+12-5) unstable; urgency=low

  * Don't install jhsdb on riscv64 (Aurelian Jarno).

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Jul 2019 16:36:49 +0200

openjdk-12 (12.0.1+12-4) unstable; urgency=medium

  * Fix dependency generation on the libjpeg runtime. Addresses: #927965.
  * Drop dependency on transitional libgl1-mesa-glx package. Addresses: #930611.
  * Fix more build issues for Ubuntu precise builds.
  * Mark as release build.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 01 Jul 2019 15:43:36 +0200

openjdk-12 (12.0.1+12-3) unstable; urgency=medium

  * Fix src.zip symlink. Closes: #923118.
  * Configure with --with-version-opt='-ga' for upstream releases (has to
    be set manually).
  * Add riscv64 support for zero (Ed Nevill).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 27 Jun 2019 12:22:05 +0200

openjdk-12 (12.0.1+12-2) unstable; urgency=medium

  * Add breaks to the openjdk-12-jre-headless package:
    - For unattended upgrades: jetty9, netbeans, tomcat8, visualvm.
    - For eclipse 3.8 removal: eclipse-platform. Closes: #925071.
    - For configuration with vendor flag: libreoffice-core.
  * Class data sharing is enabled during the build where available.
    Just use the shipped classes.jsa files. Closes: #916302.
  * Tighten dependency on ca-certificates-java. Closes: #924897.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Apr 2019 11:08:34 +0200
